[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlHandlerType

Notification handler types.

## Declaration

Source position: controls.pp line 1033

`type TControlHandlerType = (`
`chtOnResize,` |  | Notification request for OnResize.
`chtOnChangeBounds,` |  | Notification request for OnChangeBounds.
`chtOnVisibleChanging,` |  | Notification request for OnVisibleChanging.
`chtOnVisibleChanged,` |  | Notification request for OnVisibleChanged.
`chtOnEnabledChanging,` |  | Notification request for OnEnabledChanging.
`chtOnEnabledChanged,` |  | Notification request for OnEnabledChanged.
`chtOnKeyDown,` |  | Notification request for OnKeyDown.
`chtOnBeforeDestruction,`
`chtOnMouseWheel,`
`chtOnMouseWheelHorz`
`);`

## Description

Notification handlers only receive a Sender argument, and must know themselves why they have been invoked.